FLAM® Issue Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000741FL52.2 Subprogram FLUC (CONV)public2015-10-29 08:162015-12-02 19:20
ReporterFalk Reichbott 
Assigned ToMykhailo Moldavskyy 
PriorityurgentSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformGeneralOSGeneralOS VersionGeneral
Product Version 
Target Version5.1.10Fixed in Version5.1.10 
Summary0000741: Support of signatures in PGP files
DescriptionFLAM supports currently only the encryption or decryption with (SEIP) or without (SENC) integrity protection for PGP message files. At read we jump over signature and currently we can not add a signature at write. For PGP key files we have allready implement the signature support and this must now also be implemented for OpenPGP message files.

TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000937)
Falk Reichbott (administrator)
2015-12-02 19:20

Generation and verification of PGP one pass signatures are now supported. Add a new parameter to overrule the hash algorrithm used for signature generation. If no hash algo specified the preffered or the default (SHA256) is used.

- Issue History
Date Modified Username Field Change
2015-10-29 08:16 Falk Reichbott New Issue
2015-10-29 08:16 Falk Reichbott Status new => assigned
2015-10-29 08:16 Falk Reichbott Assigned To => Mykhailo Moldavskyy
2015-11-21 17:24 Falk Reichbott Priority normal => urgent
2015-12-02 19:20 Falk Reichbott Note Added: 0000937
2015-12-02 19:20 Falk Reichbott Status assigned => resolved
2015-12-02 19:20 Falk Reichbott Fixed in Version => 5.1.10
2015-12-02 19:20 Falk Reichbott Resolution open => fixed
2015-12-02 19:21 Falk Reichbott Note View State: 0000937: public


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker